#include<iostream>
#include<cmath>

using namespace std;
int nti;
int odredinti(int temp) {
	for (int i = 0; temp != 0; i++) {
		temp = temp / 10;
		nti = i;
	}
	return nti;
}

long geterI(long broj) {
	int pombroj;
	int temp;
	pombroj = broj;
	for (int n = 0; pombroj != 0; n++) {
		broj = pombroj;
		odredinti(broj);
		pombroj = broj - 5 * pow(10.0, nti);
		if (pombroj < 0) {
			pombroj = broj;
			pombroj = broj - 2 * pow(10.0, nti);
			if (pombroj < 0) {
				pombroj = broj - pow(10.0, nti);
			}
		}
		temp = n;
	}
	return temp; 
}

int main() {
	int a;
	int b;
	cin >> a;
	if (a == 0) {
		cout << 0;
	}
	else {
		b = geterI(a);
		cout << b + 1;
	}




	return 0;
}